﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.HumanResources.DingTalk.Entities
{
    public class DingTalkAttendance
    {
        /// <summary>
        /// 关联的审批ID，当该字段非空时，表示打卡记录与请假、加班等审批有关。
        /// </summary>
        public long ApproveId { get; set; }

        /// <summary>
        /// 计算迟到和早退，基准时间。
        /// </summary>
        public string BaseCheckTime { get; set; }

        /// <summary>
        /// 考勤类型： OnDuty：上班 OffDuty：下班
        /// </summary>
        public string CheckType { get; set; }

        /// <summary>
        /// 考勤组ID
        /// </summary>
        public long GroupId { get; set; }

        /// <summary>
        /// 唯一标识ID
        /// </summary>
        public long Id { get; set; }

        /// <summary>
        /// 位置结果：Normal：范围内 Outside：范围外  NotSigned：未打卡
        /// </summary>
        public string LocationResult { get; set; }

        /// <summary>
        /// 排班ID
        /// </summary>
        public long PlanId { get; set; }

        /// <summary>
        /// 关联的审批实例ID，当该字段非空时，表示打卡记录与请假、加班等审批有关。可以与获取单个审批数据配合使用。
        /// </summary>
        public string ProcInstId { get; set; }

        /// <summary>
        /// 打卡记录ID。
        /// </summary>
        public long RecordId { get; set; }

        /// <summary>
        /// 数据来源 ATM：考勤机 BEACON：IBeacon DING_ATM：钉钉考勤机 USER：用户打卡 BOSS：老板改签 APPROVE：审批系统 SYSTEM：考勤系统 AUTO_CHECK：自动打卡
        /// </summary>
        public string SourceType { get; set; }

        /// <summary>
        /// 打卡结果： Normal：正常 Early：早退 Late：迟到 SeriousLate：严重迟到 Absenteeism：旷工迟到 NotSigned：未打卡
        /// </summary>
        public string TimeResult { get; set; }

        /// <summary>
        /// 实际打卡时间, 用户打卡时间的毫秒数
        /// </summary>
        public string UserCheckTime { get; set; }

        /// <summary>
        /// 打卡人的UserID
        /// </summary>
        public string UserId { get; set; }

        /// <summary>
        /// 打卡人的UserName
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 工作日
        /// </summary>
        public string WorkDate { get; set; }

    }
}
